/*****  dev-mode start  *****/

/* 排除 #o2o-form 及其所有內部子元素 */
#loreal-compaign .pdp-content *:not(#o2o-form, #o2o-form *) {
    color: transparent;
    text-shadow: none;
}

/* 正式模式：熱區隱形但可點擊 */
#loreal-compaign .pdp-content a:not(#o2o-form *),
#loreal-compaign .pdp-content button:not(#o2o-form *) {
    background: rgba(255, 255, 0, 0%);
}

/* dev-mode：白底黑字半透明，方便核對文字落點 */
#loreal-compaign.dev-mode .pdp-content *:not(#o2o-form, #o2o-form *) {
    color: #000;
    background: #fff;
    opacity: 0.6;
}

/* dev-mode：熱區標黃 */
#loreal-compaign.dev-mode .pdp-content a:not(#o2o-form *),
#loreal-compaign.dev-mode .pdp-content button:not(#o2o-form *) {
    background: rgba(255, 255, 0, 51%);
    z-index: 1;
}

/*****  dev-mode end  *****/


.section-layout {
    position: relative;
    margin: 0 auto;
    width: 100%;
    max-width: 1024px;
    letter-spacing: 0;
}

.section-layout picture,
.section-layout img {
    display: block;
    width: 100%;
    height: auto;
}

.layout-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.pdp-content {
    position: relative;
    width: 100%;
    height: 100%;
}

.pdp-content .pdp-item {
    position: absolute;
    width: auto;
}

.pdp-content .pdp-link {
    position: absolute;
}


/*****  kv start  *****/
#kv .pdp-content .pdp-item[data-index="1"] {
    top: 36.2%;
    left: 64%;
    font: 40px / 1.5 sans-serif;
    transform: rotate(-5deg) skew(-5deg);
    letter-spacing: -1px;
}

#kv .pdp-content .pdp-item[data-index="2"] {
    top: 39.25%;
    left: 65.7%;
    font: 58px / 1.5 sans-serif;
    transform: rotate(-5deg) skew(-5deg);
    letter-spacing: 1px;
}

#kv .pdp-content .pdp-item[data-index="3"] {
    top: 45%;
}

#kv .pdp-content .pdp-item[data-index="5"] {
    top: 52.2%;
}

#kv .pdp-content .pdp-item[data-index="3"],
#kv .pdp-content .pdp-item[data-index="5"] {
    left: 67.5%;
    font: 28px / 1.5 sans-serif;
    letter-spacing: 1px;
}

#kv .pdp-content .pdp-item[data-index="4"] {
    top: 47%;
}

#kv .pdp-content .pdp-item[data-index="6"] {
    top: 54.2%;
}

#kv .pdp-content .pdp-item[data-index="4"],
#kv .pdp-content .pdp-item[data-index="6"] {
    left: 66.5%;
    font: 45px / 1.5 sans-serif;
    letter-spacing: -5px;
}

#kv .pdp-content .pdp-item[data-index="7"] {
    top: 67.25%;
    left: 10.6%;
    font: 48px / 1.5 sans-serif;
    transform: rotate(-7deg) skew(-10deg);
    letter-spacing: -2px;
}

#kv .pdp-content .pdp-item[data-index="8"] {
    top: 70.5%;
    left: 14%;
    font: 72px / 1.5 sans-serif;
    transform: rotate(-5deg) skew(-12deg);
    letter-spacing: 5px;
}

#kv .pdp-content .pdp-item[data-index="9"] {
    top: 77%;
    left: 20.6%;
    font: 66px / 1.5 sans-serif;
    transform: rotate(-5deg) skew(-10deg);
    letter-spacing: 3px;
}

#kv .pdp-content .pdp-item[data-index="10"] {
    top: 85.8%;
    left: 25.5%;
    font: 12px / 1.5 sans-serif;
    letter-spacing: 1.5px;
}

#kv .pdp-content .pdp-link[data-index="1"],
#kv .pdp-content .pdp-link[data-index="2"],
#kv .pdp-content .pdp-link[data-index="3"] {
    width: 33%;
    height: 5.8%;
    top: 89%;
}

#kv .pdp-content .pdp-link[data-index="1"] {
    left: 0;
}

#kv .pdp-content .pdp-link[data-index="2"] {
    left: 33.5%;
}

#kv .pdp-content .pdp-link[data-index="3"] {
    left: 67%;
}

@media screen and (max-width: 1024px) {
    #kv .pdp-content .pdp-item[data-index="1"] {
        font: 4vw / 1.5 sans-serif;
    }

    #kv .pdp-content .pdp-item[data-index="2"] {
        font: 5.8vw / 1.5 sans-serif;
    }

    #kv .pdp-content .pdp-item[data-index="3"],
    #kv .pdp-content .pdp-item[data-index="5"] {
        font: 2.8vw / 1.5 sans-serif;
    }

    #kv .pdp-content .pdp-item[data-index="4"],
    #kv .pdp-content .pdp-item[data-index="6"] {
        font: 4.4vw / 1.5 sans-serif;
    }

    #kv .pdp-content .pdp-item[data-index="7"] {
        font: 4.6vw / 1.5 sans-serif;
    }

    #kv .pdp-content .pdp-item[data-index="8"] {
        font: 7vw / 1.5 sans-serif;
    }

    #kv .pdp-content .pdp-item[data-index="9"] {
        font: 6.25vw / 1.5 sans-serif;
    }

    #kv .pdp-content .pdp-item[data-index="10"] {
        font: 1.15vw / 1.5 sans-serif;
    }
}

/*****  kv end  *****/


/*****  ba1 start  *****/
#ba1 .pdp-content .pdp-item[data-index="1"] {
    top: 6.2%;
    left: 17%;
    font: 64px / 1.5 sans-serif;
}

#ba1 .pdp-content .pdp-item[data-index="2"],
#ba1 .pdp-content .pdp-item[data-index="3"],
#ba1 .pdp-content .pdp-item[data-index="4"] {
    left: 18%;
    font: 52px / 1.5 sans-serif;
    letter-spacing: 0.5px;
}

#ba1 .pdp-content .pdp-item[data-index="2"] {
    top: 38%;
}

#ba1 .pdp-content .pdp-item[data-index="3"] {
    top: 59%;
}

#ba1 .pdp-content .pdp-item[data-index="4"] {
    top: 80%;
}

@media screen and (max-width: 1024px) {

    #ba1 .pdp-content .pdp-item[data-index="1"] {
        font: 6.2vw / 1.5 sans-serif;
    }

    #ba1 .pdp-content .pdp-item[data-index="2"],
    #ba1 .pdp-content .pdp-item[data-index="3"],
    #ba1 .pdp-content .pdp-item[data-index="4"] {
        font: 5vw / 1.5 sans-serif;
    }
}

/*****  ba1 end  *****/


/*****  ba2 start  *****/
#ba2 .pdp-content .pdp-item[data-index="1"] {
    top: 2%;
    left: 6.5%;
    font: 57px / 1.5 sans-serif;
    transform: rotate(-4deg) skew(-5deg);
}

#ba2 .pdp-content .pdp-item[data-index="2"] {
    top: 11.5%;
    left: 7%;
    font: 64px / 1.5 sans-serif;
    letter-spacing: 1px;
}

#ba2 .pdp-content .pdp-item[data-index="3"] {
    top: 25.5%;
    left: 29%;
    font: 64px / 1.5 sans-serif;
    letter-spacing: 2px;
}

#ba2 .pdp-content .pdp-item[data-index="4"] {
    top: 40%;
    left: 58%;
    font: 68px / 1.5 sans-serif;
    letter-spacing: 1px;
}

#ba2 .pdp-content .pdp-item[data-index="5"] {
    top: 49%;
    left: 66%;
    font: 72px / 1.5 sans-serif;
    letter-spacing: -4px;
}

#ba2 .pdp-content .pdp-item[data-index="6"],
#ba2 .pdp-content .pdp-item[data-index="7"] {
    left: 62.5%;
    font: 62px / 1.5 sans-serif;
    letter-spacing: 1px;
}

#ba2 .pdp-content .pdp-item[data-index="6"] {
    top: 69.5%;
}

#ba2 .pdp-content .pdp-item[data-index="7"] {
    top: 79.5%;
}

#ba2 .pdp-content .pdp-item[data-index="8"] {
    top: 95.5%;
    left: 35.5%;
    font: 18px / 1.5 sans-serif;
    letter-spacing: 3px;
}

@media screen and (max-width: 1024px) {
    #ba2 .pdp-content .pdp-item[data-index="1"] {
        font: 5.2vw / 1.5 sans-serif
    }

    #ba2 .pdp-content .pdp-item[data-index="2"],
    #ba2 .pdp-content .pdp-item[data-index="3"] {
        font: 6.1vw / 1.5 sans-serif
    }

    #ba2 .pdp-content .pdp-item[data-index="4"] {
        font: 6.4vw / 1.5 sans-serif
    }

    #ba2 .pdp-content .pdp-item[data-index="5"] {
        font: 7.2vw / 1.5 sans-serif
    }

    #ba2 .pdp-content .pdp-item[data-index="6"],
    #ba2 .pdp-content .pdp-item[data-index="7"] {
        font: 6vw / 1.5 sans-serif
    }

    #ba2 .pdp-content .pdp-item[data-index="8"] {
        font: 1.7vw / 1.5 sans-serif
    }
}

/*****  ba2 end  *****/


/*****  rhc1 start  *****/
#rhc1 .pdp-content .pdp-item[data-index="1"] {
    top: 12.5%;
    left: 7%;
    font: 64px / 1.5 sans-serif;
}

#rhc1 .pdp-content .pdp-item[data-index="2"],
#rhc1 .pdp-content .pdp-item[data-index="3"],
#rhc1 .pdp-content .pdp-item[data-index="4"] {
    top: 36%;
    font: 34px / 1.25 sans-serif;
    letter-spacing: 1px;
    text-align: center;
}

#rhc1 .pdp-content .pdp-item[data-index="2"] {
    left: 22.5%;
}

#rhc1 .pdp-content .pdp-item[data-index="3"] {
    left: 48%;
}

#rhc1 .pdp-content .pdp-item[data-index="4"] {
    left: 77%;
}

#rhc1 .pdp-content .pdp-item[data-index="5"] {
    left: 7.5%;
    top: 61%;
    font: 34px / 1.25 sans-serif;
    letter-spacing: 1px;
    text-align: center;
}

#rhc1 .pdp-content .pdp-item[data-index="6"],
#rhc1 .pdp-content .pdp-item[data-index="8"] {
    top: 61.5%;
    font: 30px / 1.25 sans-serif;
    letter-spacing: 1px;
    text-align: center;
}

#rhc1 .pdp-content .pdp-item[data-index="6"] {
    left: 20.2%;
}

#rhc1 .pdp-content .pdp-item[data-index="8"] {
    left: 74.9%;
}

#rhc1 .pdp-content .pdp-item[data-index="7"] {
    left: 44.5%;
    top: 54.5%;
    font: 30px / 1.45 sans-serif;
    letter-spacing: 1px;
    text-align: center;
}

#rhc1 .pdp-content .pdp-item[data-index="9"] {
    width: 7%;
    left: 7.5%;
    top: 82%;
    font: 34px / 1.2 sans-serif;
    letter-spacing: 1px;
    text-align: center;
}

#rhc1 .pdp-content .pdp-item[data-index="10"],
#rhc1 .pdp-content .pdp-item[data-index="11"],
#rhc1 .pdp-content .pdp-item[data-index="12"] {
    top: 84.2%;
    font: 30px / 1.25 sans-serif;
    letter-spacing: 3px;
}

#rhc1 .pdp-content .pdp-item[data-index="10"] {
    left: 21.4%
}

#rhc1 .pdp-content .pdp-item[data-index="11"] {
    left: 48.5%
}

#rhc1 .pdp-content .pdp-item[data-index="12"] {
    left: 76%
}

@media screen and (max-width: 1024px) {
    #rhc1 .pdp-content .pdp-item[data-index="1"] {
        font: 6.1vw / 1.5 sans-serif;
    }

    #rhc1 .pdp-content .pdp-item[data-index="2"],
    #rhc1 .pdp-content .pdp-item[data-index="3"],
    #rhc1 .pdp-content .pdp-item[data-index="4"] {
        font: 3.2vw / 1.25 sans-serif;
    }


    #rhc1 .pdp-content .pdp-item[data-index="5"] {
        font: 3.1vw / 1.45 sans-serif;
    }

    #rhc1 .pdp-content .pdp-item[data-index="7"] {
        font: 2.85vw / 1.45 sans-serif;
    }

    #rhc1 .pdp-content .pdp-item[data-index="6"],
    #rhc1 .pdp-content .pdp-item[data-index="8"] {
        font: 2.85vw / 1.25 sans-serif;
    }

    #rhc1 .pdp-content .pdp-item[data-index="9"] {
        font: 3.1vw / 1.2 sans-serif;
    }

    #rhc1 .pdp-content .pdp-item[data-index="10"],
    #rhc1 .pdp-content .pdp-item[data-index="11"],
    #rhc1 .pdp-content .pdp-item[data-index="12"] {
        font: 2.85vw / 1.25 sans-serif;
    }


}

/*****  rhc1 end  *****/


/*****  rhc2 start  *****/
#rhc2 .pdp-content .pdp-item[data-index="1"] {
    top: 3.5%;
    left: 12%;
    font: 64px / 1.5 sans-serif;
    letter-spacing: 1.5px;
}

#rhc2 .pdp-content .pdp-item[data-index="2"] {
    width: 17%;
    left: 72.75%;
    top: 64%;
    font: 42px / 1.25 sans-serif;
    letter-spacing: 1px;
    text-align: center;
}

#rhc2 .pdp-content .pdp-item[data-index="3"] {
    width: 26%;
    left: 68.75%;
    top: 81.7%;
    font: 42px / 1.25 sans-serif;
    letter-spacing: 1px;
    text-align: center;
    transform: rotate(5deg);
}

@media screen and (max-width: 1024px) {
    #rhc2 .pdp-content .pdp-item[data-index="1"] {
        font: 6.1vw / 1.5 sans-serif;
    }

    #rhc2 .pdp-content .pdp-item[data-index="2"],
    #rhc2 .pdp-content .pdp-item[data-index="3"] {
        font: 4vw / 1.25 sans-serif;
    }

}

/*****  rhc2 end  *****/


/*****  rhc3 start  *****/
#rhc3 .pdp-content .pdp-item[data-index="1"] {
    top: 13.5%;
    left: 8%;
    font: 64px / 1.5 sans-serif;
    letter-spacing: 1px;
    transform: rotate(-4deg);
}

#rhc3 .pdp-content .pdp-item[data-index="2"] {
    top: 26.5%;
    left: 26%;
    font: 64px / 1.5 sans-serif;
    letter-spacing: 1px;
    transform: rotate(-4deg);
}

#rhc3 .pdp-content .pdp-item[data-index="3"] {
    width: 52%;
    top: 55%;
    left: 30%;
    font: 40px / 1.45 sans-serif;
    letter-spacing: -1px;
}

#rhc3 .pdp-content .pdp-item[data-index="4"] {
    top: 83%;
    left: 59.5%;
    font: 28px / 1.5 sans-serif;
    letter-spacing: 3px;
}

@media screen and (max-width: 1024px) {

    #rhc3 .pdp-content .pdp-item[data-index="1"],
    #rhc3 .pdp-content .pdp-item[data-index="2"] {
        font: 6.1vw / 1.5 sans-serif;
    }


    #rhc3 .pdp-content .pdp-item[data-index="3"] {
        font: 4vw / 1.4 sans-serif;
    }

    #rhc3 .pdp-content .pdp-item[data-index="4"] {
        font: 2.7vw / 1.5 sans-serif;
    }

}

/*****  rhc2 end  *****/


/*****  coupon start  *****/
#coupon .pdp-content {
    margin-right: 50%;
    width: 50%;
}

#coupon .pdp-content .pdp-item[data-index="1"] {
    top: 6.2%;
    left: 3%;
    font: 32px / 1.5 sans-serif;
    transform: rotate(-4deg);
}

#coupon .pdp-content .pdp-item[data-index="2"] {
    top: 6.2%;
    left: 31.5%;
    font: 32px / 1.5 sans-serif;
}

#coupon .pdp-content .pdp-item[data-index="3"] {
    top: 16.5%;
    left: 5%;
    font: 19px / 1.35 sans-serif;
    text-align: center;
}

#coupon .pdp-content .pdp-item[data-index="4"] {
    top: 29.5%;
    left: 14.5%;
    font: 26px / 1.5 sans-serif;
    transform: skewX(-10deg);
}

#coupon .pdp-content .pdp-item[data-index="5"] {
    width: 42%;
    top: 39%;
    left: 54%;
    font: 18px / 1.35 sans-serif;
}

#coupon .pdp-content .pdp-item[data-index="6"] {
    top: 55.5%;
    left: 9%;
    font: 13px / 1.35 sans-serif;
}

#coupon .pdp-content .pdp-item[data-index="7"] {
    top: 89.5%;
    left: 9.7%;
    font: 8.5px / 1.5 sans-serif;
}

@media screen and (max-width: 1024px) {
    #coupon .pdp-content {
        margin-right: 0;
        width: 100%;
    }

    #coupon .pdp-content .pdp-item[data-index="1"] {
        top: 20.2%;
        left: 6.5%;
        font: 5.8vw / 1.5 sans-serif;
    }

    #coupon .pdp-content .pdp-item[data-index="2"] {
        top: 19.7%;
        left: 33%;
        font: 5.6vw / 1.5 sans-serif;
    }

    #coupon .pdp-content .pdp-item[data-index="3"] {
        top: 28.5%;
        left: 5%;
        font: 3.8vw / 1.25 sans-serif;
    }

    #coupon .pdp-content .pdp-item[data-index="4"] {
        top: 40%;
        font: 5.2vw / 1.5 sans-serif;
    }

    #coupon .pdp-content .pdp-item[data-index="5"] {
        width: 46%;
        top: 49%;
        left: 49.2%;
        font: 3vw / 1.4 sans-serif;
    }

    #coupon .pdp-content .pdp-item[data-index="6"] {
        top: 59.5%;
        left: 48%;
        font: 2.3vw / 1.5 sans-serif;
    }

    #coupon .pdp-content .pdp-item[data-index="7"] {
        top: 92.5%;
        font: 1.2vw / 1.5 sans-serif;
    }
}

/*****  coupon end  *****/


/*****  o2o start  *****/
.pdp-content .o2o-form {
    position: relative;
    margin: 0 auto;
    width: 82%;
    top: 60%;
}

.o2o-form .c-form__legend,
.o2o-form .c-form .c-field,
.o2o-form .c-form .c-field+.c-field__error-message {
    margin: 0 0 .75rem;
}

.o2o-form .c-check-field {
    position: relative;
    width: 84%;
}

.o2o-form .button_box {
    position: absolute;
    width: 26%;
    top: 85%;
    right: 1%;
    cursor: pointer;
}

.o2o-form .o2o-text-red {
    font-weight: bold;
    color: #ca0000;
}

@media screen and (max-width: 1024px) {
    .pdp-content .o2o-form {
        top: 63%;
    }

    .o2o-form .c-form__legend {
        color: #fff;
        font: 2vw / 1.5 sans-serif;
    }

    .o2o-form .c-check-field {
        width: 71%;
    }

    .o2o-form .O2O-checkbox-text {
        color: #fff;
        font: 2.2vw / 1.5 sans-serif;
    }

    .o2o-form .c-text-field__input {
        height: 6vw;
    }

    .o2o-form .o2o-text-red {
        color: #fff165;
    }

    .o2o-form .button_box {
        width: 25%;
        top: 85%;
        right: 0%;
    }


    .o2o-form .c-form__legend,
    .o2o-form .c-form .c-field,
    .o2o-form .c-form .c-field+.c-field__error-message {
        margin: 0 0 .75rem;
    }

    .o2o-form .c-text-field__label.m-float {
        font: 3.2vw / 1.5 sans-serif
    }

}